Bug 6752 - Android.App.Notification.LedARGB|LedOffMS|LedOnMS wrong type
Summary: Android.App.Notification.LedARGB|LedOffMS|LedOnMS wrong type
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: BCL Class Libraries (show other bugs)
Version: 4.2.x
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2012-08-29 17:15 UTC by t9mike
Modified: 2014-04-04 07:19 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description t9mike 2012-08-29 17:15:44 UTC
These are wrong in Android.App.Notification:

        public NotificationFlags LedARGB { get; set; }
        public NotificationFlags LedOffMS { get; set; }
        public NotificationFlags LedOnMS { get; set; }

Is this something that cropped back up? https://bugzilla.xamarin.com/show_bug.cgi?id=2578

I'm an MfA newb and maybe missing something, but I have Mono for Android: 4.2.5.114017294.
Comment 1 Atsushi Eno 2012-08-30 11:13:12 UTC
Thanks, that change was regression. I've fixed it in our internal sources and it should be in the final 4.2.5 release.
Comment 2 Ram Chandra 2014-04-04 07:19:16 UTC
I have checked this issue with following builds:

Windows 7 
Xamarin Studio : 4.2.3(build 60)
Xamarin.Android: 4.12.2 

Build Information
Release ID: 402030060
30c4afc300c2a39ec5300851357ce02e49dd217e
Build date: 2014-03-05 16:53:54Z
Xamarin addins: f8a9589b57c2bfab2ccd73c880e7ad81e3ecf044

I check the definition of "LedARGB, LedOffMS,LedOnMS" (Android.App.Notification) properties, I observed that all three property are "int" type instead of "NotificationFlags".

Screencast: http://www.screencast.com/t/EZfE3igt3

This issue is working fine. Hence, I am closing this issue.